#!/bin/sh

# Device nodes could come in handy:
# NOTE: blind creation - there's no foolproof method to test for udev/devfs
for minor in `seq 0 31` ; do
  if [ ! -e dev/i2c-$minor ]; then
    mknod -m 600 dev/i2c-$minor c 89 $minor
  fi
done

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/sensors.conf.new

# A good idea whenever kernel modules are added or changed:
if [ -x sbin/depmod ]; then
  chroot . /sbin/depmod -a 1> /dev/null 2> /dev/null
fi

( cd usr/lib ; rm -rf libsensors.so )
( cd usr/lib ; ln -sf libsensors.so.3 libsensors.so )
( cd usr/lib ; rm -rf libsensors.so.3 )
( cd usr/lib ; ln -sf libsensors.so.3.1.2 libsensors.so.3 )
